import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCrosshair = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("circle", { cx: "12", cy: "12", r: "10" }), _jsx("line", { x1: "22", y1: "12", x2: "18", y2: "12" }), _jsx("line", { x1: "6", y1: "12", x2: "2", y2: "12" }), _jsx("line", { x1: "12", y1: "6", x2: "12", y2: "2" }), _jsx("line", { x1: "12", y1: "22", x2: "12", y2: "18" })] }));
};
IconCrosshair.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconCrosshair.js.map